#
# spec file for package release-notes-sles-160
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define source_package release-notes
%define product_version sles-160
# "lifecycle" changes the document profiling, accepted values:
#   beta | maintained | unmaintained
%define lifecycle maintained
Name:           release-notes-sles-160
VCS: https://src.suse.de/SLFO-pool/release-notes-sles-160#dcf6f29cd972596359f462d990df237f3cb7f48bcf2f0c38530433bbb085a667
Version:        16.0.20250109
Release:        160000.1.32
Summary:        Release Notes for SUSE Linux Enterprise Server
License:        CC-BY-ND-4.0
Group:          Documentation/SUSE
URL:            https://www.suse.com/releasenotes/
Source:         %{source_package}-%{version}.tar.bz2
BuildRequires:  daps
BuildRequires:  suse-xsl-stylesheets >= 1.9.18
BuildRequires:  update-desktop-files
BuildRequires:  w3m
Requires:       dejavu-fonts
Requires:       google-opensans-fonts
BuildArch:      noarch

%description
This package contains the release notes for SUSE Linux Enterprise Server 16.0.
After installing this package, the release notes files can be
found in the %{_datadir}/doc/release-notes directory.  The release notes
are available in the following output formats: PDF, HTML, and TXT.

%prep
%setup -q -n %{source_package}-%{version}

%build
sed -i 's/@VERSION@/%{version}/' adoc/sles/release-notes-%{product_version}-docinfo.xml
make all PRODUCT_VERSION=%{product_version} LIFECYCLE=%{lifecycle}

%install
rnpath=%{buildroot}%{_datadir}/doc/release-notes-sles
install -m 0644 -D LICENSE ${rnpath}/LICENSE
install -m 0644 -D "build/release-notes-%{product_version}/single-html/release-notes-%{product_version}/release-notes-%{product_version}.html" "${rnpath}/RELEASE-NOTES.en.html"
cp -R "build/release-notes-%{product_version}/single-html/release-notes-%{product_version}/static/" "${rnpath}"
install -m 0644 -D "build/release-notes-%{product_version}/yast-html/release-notes.html" "${rnpath}/RELEASE-NOTES.en.rtf"
install -m 0644 -D "build/release-notes-%{product_version}/release-notes-%{product_version}_color_en.pdf" "${rnpath}/RELEASE-NOTES.en.pdf"
install -m 0644 -D "build/release-notes-%{product_version}/release-notes-%{product_version}.txt" "${rnpath}/RELEASE-NOTES.en.txt"

%files
%doc %{_datadir}/doc/release-notes-sles/

%changelog
* Thu Jan  9 2025 lukas.kucharczyk@suse.com
- Initial package submission
